Subject: Re: powerpc/powernv: Call opal_pci_poll() if needed

From: Michael Ellerman <[email-masked]>
Date: Thu, 29 Sep 2016 23:13:14 +1000 (AEST)

On Fri, 2016-24-06 at 06:44:19 UTC, Gavin Shan wrote:
> When issuing PHB reset, OPAL API opal_pci_poll() is called to drive
> the state machine in OPAL forward. However, we needn't always call
> the function under some circumstances like reset deassert.
> 
> This avoids calling opal_pci_poll() when OPAL_SUCCESS is returned
> from opal_pci_reset(). Except the overhead introduced by additional
> one unnecessary OPAL call, I didn't run into real issue because of
> this.
> 
> Reported-by: Pridhiviraj Paidipeddi <[email-masked]>
> Signed-off-by: Gavin Shan <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/fbce44d0ed42e4653172376f4dfeaa

cheers